Kirjoittaja Aihe: Linux mint distron oikeat versiot  (Luettu 1373 kertaa)

rotop

  • Käyttäjä
  • Viestejä: 18
    • Profiili
Linux mint distron oikeat versiot
« : 16.02.24 - klo:11.32 »
Linux Mint 2.1.0

Päivitysten hallinta ilmoitelee että pitää päivittää shadow (system login tools) ja Linux kernel 6.5.0.18.18- 22.04.10

Olen yritänyt etsiskellä viimeisimpiä päivityksiä tuntuu että canonical vain yrittää asennuttaa koneelleni erilaisia softia ilman tarvetta vaikka canonical piti olla kokonaisuudessaan poistettuna Linux Mintistä.
1. Mistä saisin päivitys logi listan mitä virallisesti kuuluu tulla?
2. Mikä kernel pitäisi olla tällä hetkellä uusimmassa Linux Mintissä?
3. Kuuluuko Shadow login tools olla Linux Mintissä?

Tuossa muutama kysymys ja täydennän listaa kun kohtaan uusia tuntemattomia asioita liittyen Linux Mintiin.
ps. Tietenkin ymmärrän että konekohtaisesti mitä on jo asennettuna on riippuvaisuus tekijä mitä päivitykseen kuuluu.
Shadow login toolista en löytänyt haulla mitään tietoa .. onko se ihan järjestelmän sisäinen login työkalu mutta canonical julkaisija ? ..
Turvallisuuteen liittyy paljon kysymyksiä.

Jtkone

  • Käyttäjä
  • Viestejä: 879
    • Profiili
Vs: Linux mint distron oikeat versiot
« Vastaus #1 : 16.02.24 - klo:17.20 »
Viimeisin Minttu on 21.3 "Virginia"
Linux Mint perustuu Ubuntun LTS-versioihin ja siis tällä hetkellä Ubuntu Jammy (22.04).
Mint tulee kernelilä 5.15. mutta myös 6.5 on asennettavissa päivitystenhallinta->kernelit kautta, mutta tuo pitää tehdä itse.
Shadow (system login tools) on luonnolisesti oletuksena asennettu. Viimeisin päivitys on tietoturvapäivitys ja vaikuttaa paketteihin
login ja passwd. En tiedä mikä työpöytä on käytössä, mutta päivitysten hallinnasta pitäisi löytyä välilehdet mitä päivitettävä ohjelma tekee, paketit joita se koskee ja muutoshistoria.

System login tools löytyy ihan Debianista, johon Ubuntu taas perustuu.

nm

  • Käyttäjä
  • Viestejä: 16296
    • Profiili
Vs: Linux mint distron oikeat versiot
« Vastaus #2 : 16.02.24 - klo:18.43 »
Shadow login toolista en löytänyt haulla mitään tietoa ..

Shadow on keskeinen salasanojen hashien säilytykseen liittyvä mekanismi joka on kuulunut Linux-jakeluihin jo 90-luvulta lähtien.

Päivitys liittynee tähän haavoittuvuuteen:
https://ubuntu.com/security/notices/USN-6640-1


onko se ihan järjestelmän sisäinen login työkalu mutta canonical julkaisija ? ..

Canonical on julkaisija lähes kaikille paketeille, joiden varaan Mint on rakennettu, koska jakelu käyttää suoraan Ubuntun ohjelmalähteitä ja paketointia. Ubuntuun verrattuna joukosta on vain karsittu ominaisuuksia, joita Mintin kehittäjät eivät ole halunneet mukaan, ja lisätty tilalle omia työkaluja ja graafisen käyttöliittymän komponentteja.

Jos et halua Canonicalia, kannattaa siirtyä Debianiin tai muihin jakeluihin, jotka eivät pohjaudu Ubuntuun.

Vika/fiba

  • Käyttäjä
  • Viestejä: 656
    • Profiili
Vs: Linux mint distron oikeat versiot
« Vastaus #3 : 18.02.24 - klo:21.13 »
Linux Mint 2.1.0

Päivitysten hallinta ilmoitelee että pitää päivittää shadow (system login tools) ja Linux kernel 6.5.0.18.18- 22.04.10


2. Mikä kernel pitäisi olla tällä hetkellä uusimmassa Linux Mintissä?


Kuten Jtkone sanoi kernel 5.15. pitäisi olla 21.3 Virginiassa, joka on uusin.
Oletkohan asentanut 21.3 Cinnamon Edgen? Sitä varoitetaan epävakauden takia asentamasta, ellet ehdottomasti tarvitse sitä hyvin uuden raudan takia. Edgessä on tuo 6.5-kernel.
https://linuxmint-user-guide.readthedocs.io/en/latest/edge.html

Jos et halua Ubuntu-pohjaista Linux Mintiä, sopiva ratkaisu saattaisi olla suoraan Debianiin perustuva LMDE, Linux Mint Debian Edition. Siinä on kernel 6.1 ja uudempia ohjelmaversioita. Vaikuttaa minusta hyvin toimivalta ja vakaalta. https://blog.linuxmint.com/?p=4570